KDE 4.2 PyKDE API Reference

- KDE's Python API

# NETWinInfo2 Class Reference

`from PyKDE4.kdeui import *`

Inherits: NETWinInfo → NET

## Detailed Description

## Methods

| __init__ (self, Display display, Window window, Window rootWindow, long properties, int properties_size, NET.Role role=NET.Client)
| __init__ (self, Display display, Window window, Window rootWindow, long properties, NET.Role role=NET.Client)
| changeFullscreenMonitors (self, NETFullscreenMonitors topology)
NETFullscreenMonitors | fullscreenMonitors (self)
| setFullscreenMonitors (self, NETFullscreenMonitors topology)

## Method Documentation

__init__ | ( | self, |
|  | Display | display,
|  | Window | window,
|  | Window | rootWindow,
|  | long | properties,
|  | int | properties_size,
|  | NET.Role | role=NET.Client
| ) |  |  |

__init__ | ( | self, |
|  | Display | display,
|  | Window | window,
|  | Window | rootWindow,
|  | long | properties,
|  | NET.Role | role=NET.Client
| ) |  |  |

changeFullscreenMonitors | ( | self, |
|  | NETFullscreenMonitors | topology
| ) |  |  |

A Window Manager should subclass NETWinInfo2 and reimplement this function when it wants to know when a Client made a request to change the fullscreen monitor topology for its fullscreen state.

Parameters:

  | topology | A structure (top, bottom, left, right) representing the fullscreen monitor topology.

NETFullscreenMonitors fullscreenMonitors | ( |  | self ) |

Returns the desired fullscreen monitor topology for this client, should it be in fullscreen state. See _NET_WM_FULLSCREEN_MONITORS in the spec.

setFullscreenMonitors | ( | self, |
|  | NETFullscreenMonitors | topology
| ) |  |  |

Sets the desired multiple-monitor topology (4 monitor indices indicating the top, bottom, left, and right edges of the window) when the fullscreen state is enabled. The indices are from the set returned by the Xinerama extension. See _NET_WM_FULLSCREEN_MONITORS for details.

Parameters:

  topology

  A struct that models the desired monitor topology, namely: top is the monitor whose top edge defines the top edge of the fullscreen window, bottom is the monitor whose bottom edge defines the bottom edge of the fullscreen window, left is the monitor whose left edge defines the left edge of the fullscreen window, and right is the monitor whose right edge defines the right edge of the fullscreen window.